package com.jiuqi.util;

package .tmp;

import com.jiuqi.util.StatCell;

class MinStatCell extends StatCell {
  private Object result;
  
  public void reset() {
    this.result = null;
  }
  
  public void statistic(Object value) {
    if (value == null)
      return; 
    if (this.result == null || ((Comparable<Object>)this.result).compareTo(value) > 0)
      this.result = value; 
  }
  
  public Object getResult() {
    return this.result;
  }
}
